import argparse

parser = argparse.ArgumentParser(description='Process summit snapping commands.')


def parse_input_args(arg_list):
    parser.add_argument(
        '-fc',
        dest='input_feature_class',
        action='store',
        type=str,
        help='-fc <Shapefile> : Summit Feature Class')
    parser.add_argument(
        '-o',
        dest='output_shapefile',
        action='store',
        type=str,
        help='-o <Shapefile> : Output Shapfile')
    parser.add_argument(
        '-b',
        dest='buffer',
        action='store',
        type=int,
        help='-b <Integer> : Buffer size in pixels')
    parser.add_argument(
        '--d',
        dest='download',
        action='store_true',
        help='--d : If passed, download higher resolution data from TNM')
    parser.add_argument(
        '-13',
        dest='one_third_tile',
        action='store',
        type=str,
        help='-13 <13.vrt> : VRT with all 1/3 tiles'
    )
    parser.add_argument(
        '-5m',
        dest='five_meter_tile',
        action='store',
        type=str,
        help='-5m <5m.vrt> : VRT with all 5m tiles'
    )
    parser.add_argument('--debug', action='store_true')
    parser.add_argument('--multi', action='store_true')
    parser.add_argument('--remove', action='store_true')
    if len(arg_list) == 0:
        parser.print_help()
        exit()
    return parser.parse_args(arg_list)
