import pdal
import os
import json


def get_lpc_point(point, file, bbox):
    outfile = os.path.join(os.path.split(file)[0], "test_output_lpc.las")
    json_str = {
        "pipeline": [
            {
                "type": "readers.las",
                "filename": file
            },
            {
                "type": "filters.crop",
                "bounds": bbox,
                "a_srs": "EPSG:4269"
            },
            {
                "type": "filters.range",
                "limits": "Classification[2:2]"
            },
            {
                "type": "filters.locate",
                "dimension": "Z",
                "minmax": "max"
            },
            {
                "type": "filters.reprojection",
                "out_srs": "EPSG:4269"
            },
            {
                "type": "writers.las",
                "filename": outfile
            }
        ]
    }
    pipeline = pdal.Pipeline(json.dumps(json_str))
    pipeline.validate()
    pipeline.execute()
    arr = pipeline.arrays[0]
    point.lpc_x = arr[0][0]
    point.lpc_y = arr[0][1]
    point.corrected_value = arr[0][2]
    point.set_info()
