import heapq


# Priority queue class that sorts queue based on value
class PQueue:
    def __init__(self):
        self.queue = []
        self.index = 0

    def push(self, item, priority):
        if item not in self.queue:
            heapq.heappush(self.queue, (-priority, self.index, item))
            self.index += 1

    def pop(self):
        self.index -= 1
        return heapq.heappop(self.queue)[-1]

    def pop_point(self):
        self.index -= 1
        item = self.queue[0]
        return self.queue[0][2][0], self.queue[0][2][1], -self.queue[0][0]

    def length(self):
        return self.index

    def clear(self):
        self.queue = []